#ifndef SCOREBOARD_H
#define SCOREBOARD_H

#include <tqtable.h>

class TQWidget;
class TQHeader;

class ScoreBoard : public TQTable
{
	Q_OBJECT
  

public:
	ScoreBoard(TQWidget *parent = 0, const char *name = 0);
	int total(int id, TQString &name);

public slots:
	void newHole(int);
	void newPlayer(const TQString &name);
	void setScore(int id, int hole, int score);
	void parChanged(int hole, int par);

private:
	TQTable *table;
	TQHeader *vh;
	TQHeader *hh;
};

#endif
